%% desc     :定制活动-通行证(万物宝典)
%% author   :hh
%% time     :20/08/25

-record(role_contract, {
    score          = 0,              %% 积分
    daily_score    = 0,              %% 今日累计积分
    time           = 0,              %% 积分刷新时间
    lv             = 0,              %% 等级
    daily_task     = [],             %% 单日任务进度[{任务id,进度,积分领取状态}, ...]
    daily_time     = 0,              %% 单日任务刷新时间
    week_task      = [],             %% 单周任务进度
    week_time      = 0,              %% 单周任务刷新时间
    pay_contract   = 0,              %% 0 普通宝典|非0 王牌宝典
    normal_reward  = [],             %% 普通宝典 已领取等级[lv,...]
    pay_reward     = []              %% 付费宝典 已领取等级[lv,...]
    }).


-define(CONTRACT_DAILY_TASK, 1).
-define(CONTRACT_WEEK_TASK,  2).

-define(CONTRACT_REWARD_0,   0).    %% 不能领
-define(CONTRACT_REWARD_1,   1).    %% 已完成未领
-define(CONTRACT_REWARD_2,   2).    %% 已完成已领

-define(CONTRACT_FIN_TYPE_1,  1).    %% 类型1：进度累积
-define(CONTRACT_FIN_TYPE_2,  2).    %% 类型2：直接替换新进度
-define(CONTRACT_FIN_TYPE_3,  3).    %% 类型3：原有进度+新增进度 达标才置换原有进度

%% 通行证购买配置
-record(base_contract_pass_buy, {
    sub_type = 0,                   %% 活动子类型
    buy_type = 0,                   %% 购买类型 0常规|1直购
    normal_price = 0,               %% 普通价格
    luxury_price = 0,               %% 尊享价格
    luxury_rewards = [],            %% 尊享奖励
    rewards_val = 0,                %% 奖励总价值
    discount = [],                   %% 折扣卡
    price = 0                       %% 每级彩钻价格
    }).

%% 通行证任务类型
-record(base_contract_task_type, {
    task_type_id = 0,               %% 任务类型id
    open_lv = 0,                    %% 开放等级
    open_day = 0,                   %% 开放天数
    task_type = undefined,          %% 任务类型
    desc = "",                      %% 描述
    link = [],                      %% 跳转
    recom = 0                       %% 推荐度
    }).

%% 通行证任务配置
-record(base_contract_pass_task, {
    type = 0,                       %% 类型 1今日|2单周
    day = 0,                        %% 周几
    task_type_id = 0,               %% 任务类型id
    cons = 0,                       %% 任务条件
    point = 0                       %% 任务积分
    }).


%% 通行证奖励配置
-record(base_contract_rewards, {
    sub_type = 0,                   %% 活动子类型
    pass_lv = 0,                    %% 等级
    lv_exp = 0,                     %% 等级经验
    normal_rewards = [],            %% 普通奖励
    luxury_rewards = [],            %% 尊享奖励
    node_rewards = 0                %% 节点奖励
    }).